# Code of Conduct

(Original Vietnamese below)

## Our Pledge

We (nhavantuonglai), as contributors and maintainers of this project, pledge to make participation in our community a harassment free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation.

## Our Standards

Examples of behavior that contributes to a positive environment include:

– Using welcoming and inclusive language.

– Being respectful of differing viewpoints and experiences.

– Gracefully accepting constructive criticism.

– Focusing on what is best for the community.

– Showing empathy towards other community members.

Examples of unacceptable behavior include:

– The use of sexualized language or imagery and unwelcome sexual attention or advances.

– Trolling, insulting/derogatory comments, and personal or political attacks.

– Public or private harassment.

– Publishing others' private information, such as physical or electronic addresses, without explicit permission.

– Other conduct which could reasonably be considered inappropriate in a professional setting.

## Our Responsibilities

Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior. They have the right and responsibility to remove, edit, or reject contributions that do not align with this Code of Conduct.

## Scope

This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an event.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at info@nhavantuonglai.com. All complaints will be reviewed and investigated promptly and fairly. The project team is obligated to maintain confidentiality with regard to the reporter of an incident.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org), version 2.1, available at [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html](https://www.contributor-covenant.org/version/2/1/code_of_conduct.html).

## Copyright and Updates

© 2025 nhavantuonglai. All rights reserved. This document is maintained and updated by @nhavantuonglai to ensure it reflects the values and needs of our community.

Last updated: April 08, 2025.

# Bộ quy tắc ứng xử

## Cam kết của chúng tôi

Chúng tôi (nhavantuonglai), những người đóng góp và duy trì dự án này, cam kết tạo ra một môi trường không có sự quấy rối cho tất cả mọi người tham gia, bất kể tuổi tác, kích thước cơ thể, khuyết tật, dân tộc, bản dạng giới và cách thể hiện giới, mức độ kinh nghiệm, quốc tịch, ngoại hình cá nhân, chủng tộc, tôn giáo, hoặc khuynh hướng tình dục.

## Tiêu chuẩn của chúng tôi

Ví dụ về hành vi góp phần tạo môi trường tích cực bao gồm:

– Sử dụng ngôn ngữ chào đón và hòa nhập.

– Tôn trọng các quan điểm và kinh nghiệm khác nhau.

– Chấp nhận phê bình mang tính xây dựng một cách lịch sự.

– Tập trung vào những gì tốt nhất cho cộng đồng.

– Thể hiện sự đồng cảm với các thành viên khác trong cộng đồng.

Ví dụ về hành vi không được chấp nhận bao gồm:

– Sử dụng ngôn ngữ hoặc hình ảnh mang tính chất tình dục và sự chú ý hoặc tiến triển tình dục không mong muốn.

– Trêu chọc, bình luận xúc phạm/thấp kém, và các cuộc tấn công cá nhân hoặc chính trị.

– Quấy rối công khai hoặc riêng tư.

– Công bố thông tin cá nhân của người khác, như địa chỉ vật lý hoặc điện tử, mà không có sự cho phép rõ ràng.

– Các hành vi khác có thể được coi là không phù hợp trong môi trường chuyên nghiệp.

## Trách nhiệm của chúng tôi

Những người duy trì dự án chịu trách nhiệm làm rõ các tiêu chuẩn về hành vi được chấp nhận và được kỳ vọng sẽ thực hiện các biện pháp sửa chữa công bằng và thích hợp khi xảy ra bất kỳ hành vi không chấp nhận được nào. Họ có quyền và trách nhiệm xóa, chỉnh sửa hoặc từ chối các đóng góp không tuân thủ Bộ Quy tắc Ứng xử này.

## Phạm vi áp dụng

Bộ Quy tắc Ứng xử này áp dụng cả trong không gian dự án và trong các không gian công cộng khi một cá nhân đại diện cho dự án hoặc cộng đồng của nó. Ví dụ bao gồm sử dụng địa chỉ email chính thức của dự án, đăng bài qua tài khoản mạng xã hội chính thức, hoặc hành động với tư cách là đại diện được chỉ định tại một sự kiện.

## Thực thi

Các trường hợp về hành vi lạm dụng, quấy rối hoặc không chấp nhận được khác có thể được báo cáo bằng cách liên hệ với nhóm dự án qua email info@nhavantuonglai.com. Tất cả khiếu nại sẽ được xem xét và điều tra nhanh chóng, công bằng. Nhóm dự án có nghĩa vụ bảo mật thông tin liên quan đến người báo cáo sự việc.

## Nguồn gốc

Bộ Quy tắc Ứng xử này được điều chỉnh từ [Contributor Covenant](https://www.contributor-covenant.org), phiên bản 2.1, có sẵn tại [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html](https://www.contributor-covenant.org/version/2/1/code_of_conduct.html).

## Bản quyền và Cập nhật

© 2025 nhavantuonglai. Mọi quyền được bảo lưu. Tài liệu này được duy trì và cập nhật bởi @nhavantuonglai để đảm bảo phản ánh giá trị và nhu cầu của cộng đồng chúng tôi.

Cập nhật lần cuối: Ngày 08 tháng 04 năm 2025.